Skip to main content

Download a version ZIP

Gets a temporary download URL for a Skill version ZIP package. The URL is valid for 2 hours.

Endpoint

GET /api/v1/skills/{skill_id}/versions/{version}/content Returns a temporary download URL for the version ZIP package. The API does not return the ZIP binary stream. The version number must match exactly. The API does not fall back to the latest version. For a custom Skill, all non-deleted versions can be downloaded, including checking and rejected statuses. For an official Skill, only active versions can be downloaded.

Request parameters

ParameterTypeRequiredDescription
skill_idstringYesSkill ID
versionstringYesVersion number, such as 1.0

Response

Returns a VersionDownloadResponse.
FieldTypeDescription
skill_idstringSkill ID
versionstringVersion number
file_urlstringPresigned download URL for the ZIP package. Valid for 2 hours
The download URL is generated for each request. When it expires, call this API again to get a new URL.

Example

curl "https://{workspace_id}.cn-beijing.maas.aliyuncs.com/api/v1/skills/skill_abc123/versions/1.0/content" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "success": true,
  "error_code": null,
  "error_msg": null,
  "data": {
    "skill_id": "skill_abc123",
    "version": "1.0",
    "file_url": "https://example-bucket.oss-cn-beijing.aliyuncs.com/skills/pdf-skill-1.0.zip?Expires=...&Signature=..."
  },
  "request_id": "15a89d4c-f142-4e00-a9f7-b088442417c9"
}

Errors

HTTP statuserror_codeDescription
401WORKSPACE_ID_ILLEGALIdentity information is missing or invalid
400SKILL_ID_IS_NULLskill_id is blank
400SKILL_VERSION_IS_NULLversion is blank
500SKILL_NOT_EXISTThe Skill does not exist, is deleted, or is inaccessible
500SKILL_VERSION_NOT_EXISTThe version does not exist, is deleted, or is a non-active version of an official Skill
500SYSTEM_ERRORFailed to generate the download URL